Bug 1126551 - [RFE] Automatically check whether a customer has network connectivity when registering
Summary: [RFE] Automatically check whether a customer has network connectivity when re...
Keywords:
Status: CLOSED CANTFIX
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: subscription-manager
Version: 7.2
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: rc
: ---
Assignee: candlepin-bugs
QA Contact: John Sefler
URL:
Whiteboard:
Depends On:
Blocks: 1205796 rhsm-rhel72
TreeView+ depends on / blocked
 
Reported: 2014-08-04 18:39 UTC by Brian Hamrick
Modified: 2015-07-13 05:24 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-04-07 15:03:10 UTC


Attachments (Terms of Use)

Description Brian Hamrick 2014-08-04 18:39:28 UTC
When a customer is attempting to use this tool, and their network is unavailable, the error message only points to a general network problem.  When a customer contacts GSS we typically ask the same questions:
-- Is your firewall open?  ports 80 and 443.
-- Can you ping our server?
-- Can you telnet to our server?
etc..

Full diagnostics steps are here:
https://access.redhat.com/solutions/117723

Is there a way to embed this check into subscription-manager?  Or create a new switch (--testnetwork) to perform these steps in an automated fashion?

Ideally, if there is a network problem we tell the customer what the problem likely is and help them fix it themselves.

Comment 4 Devan Goodwin 2015-04-07 15:03:10 UTC
Apologies Brian but we don't feel this is fixable in any way that will improve what's already there. For the situation as described, the best we can do is report a general network error. We can't really say why your connections are failing or timing out and we're not really the correct location for such a tool. 

Closing for now, please reopen is there are strong objections.


Note You need to log in before you can comment on or make changes to this bug.